> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Application Instance

> Create an application instance for a provider. Returns 409 if an instance with the same provider and external_id already exists.



## OpenAPI

````yaml post /v1/applications/{uid}/instances
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/applications/{uid}/instances:
    parameters:
      - name: uid
        in: path
        description: The UID of the Application
        required: true
        schema:
          type: string
    post:
      tags:
        - Application Instance
      summary: Create an Application Instance
      description: >-
        Create an application instance for a provider. Returns 409 if an
        instance with the same provider and external_id already exists.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                provider:
                  type: string
                  description: The provider that manages this instance
                  enum:
                    - corma
                    - google_admin
                    - jumpcloud_actions
                    - ms_entra
                    - okta_actions
                external_id:
                  type: string
                  description: The external identifier from the provider
                instance_url:
                  type: string
                  description: The URL of the application instance
                instance_name:
                  type: string
                  description: >-
                    The name of the application instance. Defaults to
                    "{application_name} [{provider}]" if not provided.
              required:
                - provider
                - external_id
      responses:
        '201':
          description: Application instance created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/created_application_instance_object'
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
        '404':
          description: Application not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
        '409':
          description: Instance with same provider and external_id already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
      security:
        - bearer: []
components:
  schemas:
    created_application_instance_object:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/application_instance'
    errors_object:
      type: object
      properties:
        error:
          type: string
        troubleshoot:
          type: string
    application_instance:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Application Instance
        provider:
          type: string
          description: The provider that manages this instance
          enum:
            - corma
            - google_admin
            - jumpcloud_actions
            - ms_entra
            - okta_actions
        external_id:
          type: string
          description: The external identifier from the provider
        instance_url:
          type: string
          description: The URL of the application instance
          nullable: true
        instance_name:
          type: string
          description: The name of the application instance
          nullable: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````